%global service vitrage
%global plugin vitrage-tempest-plugin
%global module vitrage_tempest_plugin
%global with_doc 1

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global common_desc \
This package contains Tempest tests to cover the Vitrage project. \
Additionally it provides a plugin to automatically load these \
tests into Tempest.

Name:       python-%{service}-tests-tempest
Version:    1.1.0
Release:    2%{?dist}
Summary:    Tempest Integration of Vitrage Project
License:    ASL 2.0
URL:        https://git.openstack.org/cgit/openstack/%{plugin}/

Source0:    http://tarballs.openstack.org/%{plugin}/%{plugin}-%{upstream_version}.tar.gz

BuildArch:  noarch
BuildRequires:  git
BuildRequires:  openstack-macros

BuildRequires:  python-devel
BuildRequires:  python-pbr
BuildRequires:  python-setuptools

Obsoletes:   python-vitrage-tests < 2.2.0

Requires:   python-tempest >= 1:18.0.0
Requires:   python-pbr >= 3.1.1
Requires:   python-oslo-config >= 2:5.2.0
Requires:   python-oslo-log >= 3.36.0
Requires:   python-oslo-serialization >= 2.18.0
Requires:   python-keystoneclient
Requires:   python-heatclient
Requires:   python-ceilometerclient
Requires:   python-cinderclient
Requires:   python-neutronclient
Requires:   python-novaclient
Requires:   python-mistralclient
Requires:   python-glanceclient
Requires:   python-aodhclient
Requires:   python-six => 1.10.0
Requires:   python-dateutil
Requires:   python-testtools
Requires:   python-oslotest
Requires:   python-vitrageclient
%if 0%{?fedora}
Requires:   python-networkx
%else
Requires:   python-networkx
#TODO(chandankumar): python and python3 subpackages needs to be added
Requires:   python-vitrage
%endif


%description 
%{common_desc}

%if 0%{?with_python3}
%package -n python3-%{service}-tests-tempest
Summary: %{summary}
%{?python_provide:%python_provide python3-%{service}-tests-tempest}
BuildRequires:  python3-devel
BuildRequires:  python3-pbr
BuildRequires:  python3-setuptools

Requires:   python3-tempest >= 1:18.0.0
Requires:   python3-pbr >= 3.1.1
Requires:   python3-oslo-config >= 2:5.2.0
Requires:   python3-oslo-log >= 3.36.0
Requires:   python3-oslo-serialization >= 2.18.0
Requires:   python3-keystoneclient
Requires:   python3-heatclient
Requires:   python3-ceilometerclient
Requires:   python3-cinderclient
Requires:   python3-neutronclient
Requires:   python3-novaclient
Requires:   python3-mistralclient
Requires:   python3-glanceclient
Requires:   python3-aodhclient
Requires:   python3-six => 1.10.0
Requires:   python3-dateutil
Requires:   python3-testtools
Requires:   python3-oslotest
Requires:   python3-vitrageclient
Requires:   python3-networkx

%description -n python3-%{service}-tests-tempest
%{common_desc}
%endif


%if 0%{?with_doc}
%package -n python-%{service}-tests-tempest-doc
Summary:        python-%{service}-tests-tempest documentation

BuildRequires:  python-sphinx
BuildRequires:  python-openstackdocstheme

%description -n python-%{service}-tests-tempest-doc
It contains the documentation for the vitrage tempest plugin.
%endif

%prep
%autosetup -n %{plugin}-%{upstream_version} -S git

# Let's handle dependencies ourseleves
%py_req_cleanup
# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%if 0%{?with_python3}
%py3_build
%endif
%py2_build

# Generate Docs
%if 0%{?with_doc}
%{__python} setup.py build_sphinx -b html
# remove the sphinx build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%install
%if 0%{?with_python3}
%py3_install
%endif
%py2_install

%files -n python-%{service}-tests-tempest
%license LICENSE
%doc README.rst
%{python_sitelib}/%{module}
%{python_sitelib}/*.egg-info

%if 0%{?with_python3}
%files -n python3-%{service}-tests-tempest
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{module}
%{python3_sitelib}/*.egg-info
%endif

%if 0%{?with_doc}
%files -n python-%{service}-tests-tempest-doc
%doc doc/build/html
%license LICENSE
%endif

%changelog
* Thu Aug 23 2018 Yatin Karel <ykarel@redhat.com> - 1.1.0-2
- Add vitrageclient to Requires

* Thu Aug 23 2018 Chandan Kumar <chkumar@redhat.com> 1.1.0-1
- Update to 1.1.0
